<script setup>
import { ref, reactive } from "vue";
import { useStore } from "vuex";
import {
  mdiAccount,
  mdiAccountCircle,
  mdiLock,
  mdiMail,
  mdiAsterisk,
  mdiFormTextboxPassword,
} from "@mdi/js";
import MainSection from "@/components/MainSection.vue";
import CardComponent from "@/components/CardComponent.vue";
import TitleBar from "@/components/TitleBar.vue";
import Divider from "@/components/Divider.vue";
import Field from "@/components/Field.vue";
import ModalBox from "@/components/ModalBox.vue";
import Control from "@/components/Control.vue";
import FilePicker from "@/components/FilePicker.vue";
import JbButton from "@/components/JbButton.vue";
import BottomOtherPagesSection from "@/components/BottomOtherPagesSection.vue";
import JbButtons from "@/components/JbButtons.vue";
import UserCard from "@/components/UserCard.vue";
import CheckRadioPicker from "@/components/CheckRadioPicker.vue";

const selectOptions = [
  { id: 1, label: "Business development" },
  { id: 2, label: "Marketing" },
  { id: 3, label: "Sales" },
];

const state = reactive({
  state: selectOptions[0],
});
const isModalActive = ref(false);

const isModalDangerActive = ref(false);

const form = reactive({
  name: "John Doe",
  email: "john.doe@example.com",
  phone: "",
  department: selectOptions[0],
  subject: "",
  question: "",
});

const customElementsForm = reactive({
  checkbox: ["lorem"],
  radio: "one",
  switch: ["one"],
  file: null,
});

const store = useStore();

const titleStack = ref(["Dashboard", "Staff"]);

const profileForm = reactive({
  name: store.state.userName,
  email: store.state.userEmail,
});
const hospital = reactive({
  name: store.state.name,
  email: store.state.email,
});
const passwordForm = reactive({
  password_current: "",
  password: "",
  password_confirmation: "",
});

const submitProfile = () => {
  store.commit("user", profileForm);
};

const submitPass = () => {
  //
};
</script>

<template>
  <modal-box v-model="isModalActive" title="Sample modal">
    <p>Lorem ipsum dolor sit amet <b>adipiscing elit</b></p>
    <p>This is sample modal</p>
  </modal-box>

  <modal-box
    v-model="isModalDangerActive"
    large-title="Please confirm"
    button="danger"
    has-cancel
  >
    <p>Lorem ipsum dolor sit amet <b>adipiscing elit</b></p>
    <p>This is sample modal</p>
  </modal-box>
  <section class="bg-gray-40 px-10 py-8">
    <title-bar :title-stack="titleStack" class="py-2" />

    <main-section class="bg-white">
      <!-- <h5 class="font-semibold text-black-250 text-xl ml-6 -mt-4">General Info</h5> -->
      <div class="grid grid-cols-3 lg:grid-cols-3 gap-1">
        <card-component class="border-0 shadow-none">
          <field label="First Name">
            <control
              v-model="hospital.name"
              placeholder="First Name"
              name="name"
              required
              autocomplete="name"
            />
          </field>
        </card-component>

        <card-component class="border-0 shadow-none">
          <field label="Middle Name">
            <control
              v-model="hospital.email"
              placeholder="Middle Name"
              type="email"
              name="email"
              required
              autocomplete="email"
            />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Last Name">
            <control
              v-model="hospital.phone"
              placeholder="Last Name"
              type="number"
              name="phone"
              required
              autocomplete="number"
            />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Date of Birth">
            <control v-model="form.state" :options="selectOptions" />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Sex">
            <control v-model="form.distict" :options="selectOptions" />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Institute Name">
            <control v-model="form.city" :options="selectOptions" />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="City">
            <control v-model="form.state" :options="selectOptions" />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Medical Council">
            <control v-model="form.distict" :options="selectOptions" />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Profession i.e. nurse or doctor">
            <control v-model="form.city" :options="selectOptions" />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Initials">
            <control
              v-model="hospital.name"
              placeholder="First Name"
              name="name"
              required
              autocomplete="name"
            />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Email">
            <control
              v-model="hospital.name"
              placeholder="First Name"
              name="name"
              required
              autocomplete="name"
            />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field label="Mobile No.">
            <control
              v-model="hospital.name"
              placeholder="First Name"
              name="name"
              required
              autocomplete="name"
            />
          </field>
        </card-component>
      </div>
    </main-section>
    <main-section class="bg-white mt-4">
      <div class="grid grid-cols-3 lg:grid-cols-3 gap-1">
        <card-component class="border-0 shadow-none">
          <field class="flex">
            <label class="font-semibold">Account Status :</label>
            <check-radio-picker
              v-model="buttonSettingsModel"
              name="buttons-switch"
              type="switch"
              :options="{ outline: 'off' }"
            />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field class="flex">
            <label class="font-semibold">Admin Status :</label>
            <check-radio-picker
              v-model="buttonSettingsModel"
              name="buttons-switch"
              type="switch"
              :options="{ outline: 'off' }"
            />
          </field>
        </card-component>
        <card-component class="border-0 shadow-none">
          <field class="flex">
            <label class="font-semibold">Duty Status :</label>
            <check-radio-picker
              v-model="buttonSettingsModel"
              name="buttons-switch"
              type="switch"
              :options="{ outline: 'off' }"
            />
          </field>
        </card-component>
      </div>
    </main-section>
    <main-section class="bg-white mt-4">
      <div class="flex w-full justify-between">
        <field class="flex text-gray-400">
          <label class="font-semibold">Total Assigned Institute</label>
        </field>
        <field class="flex">
          <jb-button
            label="Assign Institute"
            class="rounded-lg border-2 border-pink-150 text-pink-150 font-semibold"
            :small="buttonsSmall"
            :outline="buttonsOutline"
            :disabled="buttonsDisabled"
            @click="isModalActive = true"
          />
        </field>
      </div>
      <div class="flex w-full">
        <field class="flex w-2/5">
          <label class="font-semibold">MGM Medical Collage</label>
        </field>
        <field class="flex w-3/5">
          <label class="font-semibold text-sm text-red-400">Remove</label>
        </field>
      </div>
      <div class="flex w-full">
        <field class="flex w-2/5">
          <label class="font-semibold">Apollo Hospitals</label>
        </field>
        <field class="flex w-3/5">
          <label class="font-semibold text-sm text-red-400">Remove</label>
        </field>
      </div>
      <div class="flex w-full">
        <field class="flex w-2/5">
          <label class="font-semibold">Sheetla Hospitals</label>
        </field>
        <field class="flex w-3/5">
          <label class="font-semibold text-sm text-red-400">Remove</label>
        </field>
      </div>
      <div class="flex w-full">
        <field class="flex w-2/5">
          <label class="font-semibold">Life Care Medical Center</label>
        </field>
        <field class="flex w-3/5">
          <label class="font-semibold text-sm text-red-400">Remove</label>
        </field>
      </div>
    </main-section>
    <main-section class="bg-white shadow-lg mt-4 rounded-lg">
      <div class="flex w-full justify-between">
        <field class="flex text-gray-250">
          <control
            v-model="form.pass"
            class="bg-white w-100 border-0"
            placeholder="Password"
            type="password"
            name="password"
            autocomplete="current-password"
          />
        </field>
        <field class="flex">
          <label
            class="font-semibold text-sm text-red-400"
            @click="isModalDangerActive = true"
            >Update Password</label
          >
        </field>
      </div>
    </main-section>
    <!-- Button Section Start -->
    <div class="py-6 flex justify-end items-end">
      <jb-buttons>
        <jb-button
          color="light"
          label="Cancel"
          to="/profile"
          class="rounded-lg px-8 py-3"
          :small="buttonsSmall"
          :outline="buttonsOutline"
          :disabled="buttonsDisabled"
        />

        <jb-button
          class="text-white bg-pink-250 hover:bg-pink-500 rounded-lg px-8 py-3"
          label="Update"
          :small="buttonsSmall"
          :outline="buttonsOutline"
          :disabled="buttonsDisabled"
        />
      </jb-buttons>
    </div>
    <!-- Button Section End -->
  </section>
</template>
